require_relative 'util.rb'

class Repository

	def initialize(path)
		@basePath = path

		# create repository base directory
		createDirectory(@basePath)

		# create sub-directories
		subPaths = ['ingest', 'archive', 'output']
		subPaths.each { |p|
			createDirectory(File.join(@basePath, p))
		}
	end

end
